gr::lte::channel_estimator_vcvc Class Referenceabstract

Channel Estimator for OFDM. More...

`#include <channel_estimator_vcvc.h>`

Inheritance diagram for gr::lte::channel_estimator_vcvc:
[legend]

## Public Types

typedef boost::shared_ptr< channel_estimator_vcvc > | sptr

## Public Member Functions

virtual void | set_pilot_map (const std::vector< std::vector< int > > &pilot_carriers, const std::vector< std::vector< gr_complex > > &pilot_symbols)=0
virtual std::vector< std::vector< int > > | get_pilot_carriers ()=0

## Static Public Member Functions

static sptr | make (int rxant, int subcarriers, std::string tag_key, std::string msg_buf_name, const std::vector< std::vector< int > > &pilot_carriers, const std::vector< std::vector< gr_complex > > &pilot_symbols, std::string name="channel_estimator_vcvc")
| Return a shared_ptr to a new instance of lte::channel_estimator_vcvc.

## Detailed Description

Channel Estimator for OFDM.

Parameters

  subcarriers | A value to determine the vector size and number of used subcarriers
  tag_key | A string value to set the name of the OFDM symbol number tag
  msg_buf_name | Name of the in message port to reset pilot carriers and pilot symbol values
  pilot_carriers | A vector of vectors of indices. first vector has length max OFDM symbols per frame. second vector contains indices of pilot carriers
  pilot_symbols | A vector of vectors with pilot symbol values same as pilot_carriers but complex values.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<channel_estimator_vcvc> gr::lte::channel_estimator_vcvc::sptr

## Member Function Documentation

## get_pilot_carriers()

virtual std::vector< std::vector< int > > gr::lte::channel_estimator_vcvc::get_pilot_carriers | ( |  | ) |

pure virtual

Implemented in gr::lte::channel_estimator_vcvc_impl.

## make()

static sptr gr::lte::channel_estimator_vcvc::make | ( | int | rxant,
|  | int | subcarriers,
|  | std::string | tag_key,
|  | std::string | msg_buf_name,
|  | const std::vector< std::vector< int > > & | pilot_carriers,
|  | const std::vector< std::vector< gr_complex > > & | pilot_symbols,
|  | std::string | name = "channel_estimator_vcvc" )

static

Return a shared_ptr to a new instance of lte::channel_estimator_vcvc.

To avoid accidental use of raw pointers, lte::channel_estimator_vcvc's constructor is in a private implementation class. lte::channel_estimator_vcvc::make is the public interface for creating new instances.

## set_pilot_map()

virtual void gr::lte::channel_estimator_vcvc::set_pilot_map | ( | const std::vector< std::vector< int > > & | pilot_carriers,
|  | const std::vector< std::vector< gr_complex > > & | pilot_symbols )

pure virtual

Implemented in gr::lte::channel_estimator_vcvc_impl.

The documentation for this class was generated from the following file:

- channel_estimator_vcvc.h